--- title: "GET | List a request" slug: "api-clm-list-a-request" updated: 2026-03-04T12:05:18Z published: 2026-03-04T14:37:38Z canonical: "docs.senhasegura.io/api-clm-list-a-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # GET | List a request List one certificate request based on specified filters. - **Endpoint**: `/api/certificate/request/list/{requests_id}` - **Method**: `GET` - **Request**: `GET /api/certificate/request/list/{requests_id}` ## Path parameters | Parameter | Type | Required | Description | | --- | --- | --- | --- | | `requests_id` | `int` | Yes | ID of the request that will be listed. | ## Request parameters | Parameter | Type | Required | Description | | --- | --- | --- | --- | | `code_request` | `int` | No | Request code to search for. | | `status_request` | `int` | No | Request status code. | | `type_certificate` | `int` | No | Certificate type. | | `type_domain` | `string` | No | Domain type. | | `organization` | `int` | No | Organization code. | | `common_name` | `string` | No | Certificate common name. | | `san` | `string` | No | Subject Alternative Names (comma-separated). | | `tags` | `string` | No | Identification tags (comma-separated). | | `encryption` | `string` | No | Encryption algorithm. | | `encryption_key_size` | `int` | No | Encryption key size. | | `algorithm_certified` | `string` | No | Signature algorithm. | | `validity` | `int` | No | Validity period in days. | | `environments` | `string` | No | Environments (comma-separated). | | `systems` | `string` | No | Systems (comma-separated). | | `design` | `string` | No | Project name. | | `ip_external` | `string` | No | External IP address. | | `ip_hostname` | `string` | No | IP or hostname. | | `responsible` | `int` | No | Responsible user code. | | `offset` | `int` | No | Pagination starting point. | | `limit` | `int` | No | Number of records per page. | ### Example using cURL ``` curl -X GET "https://[segura_vault_url]/api/certificate/request?code_request=1" \ -H "Authorization: Bearer YOUR_API_TOKEN" ``` ### Response ``` { "code": 200, "response": { "status": 200, "message": "1001: OK", "error": false, "error_code": 0, "detail": "", "mensagem": "1001: OK", "erro": false, "cod_erro": 0 }, "tenant": "Segura", "data": { "code_request": "1", "status_request": "7 - Signed", "type_certificate": "DV SSL - Domain SSL", "type_domain": "Single domain", "organization": "organization", "common_name": "api-test.com", "san": "api-test", "tags": "", "validity": "100", "encryption": "RSA", "encryption_key_size": "4096", "algorithm_certified": "sha256", "password_key": "api-password-key", "password_revocation": "api-password-revocation", "environments": "", "systems": "", "project": "", "ip_external": "", "ip_hostname": "", "justification": "API test", "self_signed": "true", "ca": "", "responsible": "31 - api-user", "description": "API test" } } ``` ### Error responses | HTTP Status Code | Description | | --- | --- | | **400 Bad Request** | Invalid parameters provided. | | **401 Unauthorized** | Unauthorized access. | | **403 Forbidden** | Forbidden access. | | **404 Not Found** | Resource not found. | | **500 Internal Server Error** | Internal server error. |